[gnome-terminal] build: Get rid of bashisms in autogen.sh and switch back to /bin/sh
- From: Christian Persch <chpe src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gnome-terminal] build: Get rid of bashisms in autogen.sh and switch back to /bin/sh
- Date: Fri, 10 May 2013 16:16:28 +0000 (UTC)
commit 20afeb85ed2517f1d334f3ed26934ed8dda971bf
Author: Emanuele Aina <emanuele aina collabora com>
Date: Fri May 10 12:54:08 2013 +0100
build: Get rid of bashisms in autogen.sh and switch back to /bin/sh
The pushd/popd commands are Bash-specific but in our simple case they
can be easily replaced with plain cd, using `cd -' to switch back to the
old dir.
Also substitute the "&>/dev/null" redirection with ">/dev/null 2>&1".
https://bugzilla.gnome.org/show_bug.cgi?id=700078
autogen.sh | 8 ++++----
1 files changed, 4 insertions(+), 4 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 41ff7e6..dcb8e83 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
# Run this to generate all the initial makefiles, etc.
set -e
@@ -6,10 +6,10 @@ set -e
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-pushd "$srcdir"
-mkdir -p m4 &>/dev/null || true
+cd "$srcdir"
+mkdir -p m4 >/dev/null 2>&1 || true
autoreconf --verbose --force --install
intltoolize --force
-popd
+cd -
test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]